> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Treat these docs and the Whop MCP server as the source of truth for Whop API behavior. Don't infer endpoint behavior from marketing pages.
> MCP server: connect https://mcp.whop.com/mcp (streamable HTTP, browser sign-in, no API key in the client config) to search these docs and read or change live Whop data. Setup: https://docs.whop.com/developer/guides/ai_and_mcp.md
> Whop CLI: install with `curl -fsSL https://whop.com/install.sh | sh` to scaffold, run, and deploy Whop apps and websites. It acts on production, not the sandbox. Overview: https://docs.whop.com/cli/overview.md Agent mode: https://docs.whop.com/cli/agent-mode.md
> Hosting: Whop serves a site or app from the build `whop apps deploy` uploads, with rollbacks, secrets, and server logs. Guide: https://docs.whop.com/developer/websites/hosting.md
> Plugins: in Claude Code, run `/plugin marketplace add whopio/plugins`, then `/plugin install whop@whop`. Guide: https://docs.whop.com/developer/guides/plugins/claude-code.md Every agent tool: https://docs.whop.com/developer/ai/overview.md
> Environments: build and test in the sandbox (API `https://sandbox-api.whop.com/api/v1`, keys at https://sandbox.whop.com/dashboard/developer, SDK environment `Sandbox`; no real money). Production (API `https://api.whop.com/api/v1`, keys at https://whop.com/dashboard/developer, SDK environment `Production`, the SDK default) moves real money, so use it only at launch. The two share no accounts, keys, products, or webhooks, and their keys look identical: never mix them. Sandbox guide: https://docs.whop.com/developer/guides/sandbox.md Comparison: https://docs.whop.com/developer/quickstart.md
> API: send `Authorization: Bearer <API_KEY>` from your server only, and pin a dated version with the `Api-Version-Date` header. OpenAPI spec: https://api.whop.com/api/v1/openapi.json
> Which API: build on the Current API, whose pages live under https://docs.whop.com/api-reference/ (start at https://docs.whop.com/api-reference/overview.md). Pages under /api-reference/legacy/ are the Legacy API. Use one only when https://docs.whop.com/api-reference/stability.md lists the resource as Legacy-only.

# Dispute Alert

> 분쟁 알림은 잠재적인 분쟁 또는 차지백에 대해 결제 처리업체가 보내는 조기 경고 알림을 나타냅니다.

```json Example theme={null}
{
	"alert_type": "dispute",
	"amount": 6.9,
	"charge_for_alert": true,
	"created_at": "2023-12-01T05:00:00.401Z",
	"currency": "usd",
	"dispute": {
		"amount": 6.9,
		"created_at": "2023-12-01T05:00:00.401Z",
		"currency": "usd",
		"id": "dspt_xxxxxxxxxxxxx",
		"reason": "Product Not Received",
		"status": "warning_needs_response"
	},
	"id": "dspa_xxxxxxxxxxxxx",
	"payment": {
		"billing_reason": "subscription_create",
		"card_brand": "mastercard",
		"card_last4": "4242",
		"created_at": "2023-12-01T05:00:00.401Z",
		"currency": "usd",
		"dispute_alerted_at": "2023-12-01T05:00:00.401Z",
		"id": "pay_xxxxxxxxxxxxxx",
		"member": {
			"id": "<string>",
			"phone": "<string>"
		},
		"membership": {
			"id": "mem_xxxxxxxxxxxxxx",
			"status": "trialing"
		},
		"paid_at": "2023-12-01T05:00:00.401Z",
		"payment_method_type": "acss_debit",
		"subtotal": 6.9,
		"total": 6.9,
		"usd_total": 6.9,
		"user": {
			"email": "john.doe@example.com",
			"id": "user_xxxxxxxxxxxxx",
			"name": "John Doe",
			"username": "johndoe42"
		}
	},
	"transaction_date": "2023-12-01T05:00:00.401Z"
}
```

**alert\_type** `DisputeAlertTypes` *required*

분쟁 알림의 유형입니다.

사용 가능한 옵션: `dispute`, `dispute_rdr`, `fraud`

**amount** `number` *required*

지정된 통화로 표시된 알림 금액입니다.

예시: `6.9`

**charge\_for\_alert** `boolean` *required*

이 알림에 요금이 부과되는지 여부입니다.

**created\_at** `string\<date-time\>` *required*

분쟁 알림이 생성된 시간입니다.

예시: `2023-12-01T05:00:00.401Z`

**currency** `Currencies` *required*

알림 금액의 세 글자 ISO 통화 코드입니다.

사용 가능한 옵션: `usd`, `sgd`, `inr`, `aud`, `brl`, `cad`, `dkk`, `eur`, `nok`, `gbp`, `sek`, `chf`, `hkd`, `huf`, `jpy`, `mxn`, `myr`, `pln`, `czk`, `nzd`, `aed`, `eth`, `ape`, `cop`, `ron`, `thb`, `bgn`, `idr`, `dop`, `php`, `try`, `krw`, `twd`, `vnd`, `pkr`, `clp`, `uyu`, `ars`, `zar`, `dzd`, `tnd`, `mad`, `kes`, `kwd`, `jod`, `all`, `xcd`, `amd`, `bsd`, `bhd`, `bob`, `bam`, `khr`, `crc`, `xof`, `egp`, `etb`, `gmd`, `ghs`, `gtq`, `gyd`, `ils`, `jmd`, `mop`, `mga`, `mur`, `mdl`, `mnt`, `nad`, `ngn`, `mkd`, `omr`, `pyg`, `pen`, `qar`, `rwf`, `sar`, `rsd`, `lkr`, `tzs`, `ttd`, `uzs`, `rub`, `btc`, `cny`, `usdt`, `kzt`, `awg`, `whop_usd`, `xau`, `hnl`

**dispute** `object | null` *required*

분쟁 알림과 연결된 분쟁입니다.

**하위 속성**

**amount** `number` *required*

지정된 통화로 표시된 분쟁 금액으로, 소수 형식입니다.

예시: `6.9`

**created\_at** `string\<date-time\> | null` *required*

분쟁이 생성된 일시입니다.

예시: `2023-12-01T05:00:00.401Z`

**currency** `Currencies` *required*

분쟁 금액의 세 글자 ISO 통화 코드입니다.

사용 가능한 옵션: `usd`, `sgd`, `inr`, `aud`, `brl`, `cad`, `dkk`, `eur`, `nok`, `gbp`, `sek`, `chf`, `hkd`, `huf`, `jpy`, `mxn`, `myr`, `pln`, `czk`, `nzd`, `aed`, `eth`, `ape`, `cop`, `ron`, `thb`, `bgn`, `idr`, `dop`, `php`, `try`, `krw`, `twd`, `vnd`, `pkr`, `clp`, `uyu`, `ars`, `zar`, `dzd`, `tnd`, `mad`, `kes`, `kwd`, `jod`, `all`, `xcd`, `amd`, `bsd`, `bhd`, `bob`, `bam`, `khr`, `crc`, `xof`, `egp`, `etb`, `gmd`, `ghs`, `gtq`, `gyd`, `ils`, `jmd`, `mop`, `mga`, `mur`, `mdl`, `mnt`, `nad`, `ngn`, `mkd`, `omr`, `pyg`, `pen`, `qar`, `rwf`, `sar`, `rsd`, `lkr`, `tzs`, `ttd`, `uzs`, `rub`, `btc`, `cny`, `usdt`, `kzt`, `awg`, `whop_usd`, `xau`, `hnl`

**id** `string` *required*

분쟁의 고유 식별자입니다.

예시: `dspt_xxxxxxxxxxxxx`

**reason** `string | null` *required*

사람이 읽을 수 있는 분쟁 사유입니다.

예시: `Product Not Received`

**status** `DisputeStatuses` *required*

needs\_response, under\_review, won, lost 등 분쟁 라이프사이클의 현재 상태입니다.

사용 가능한 옵션: `warning_needs_response`, `warning_under_review`, `warning_closed`, `needs_response`, `under_review`, `won`, `lost`, `closed`, `other`

**id** `string` *required*

분쟁 알림의 고유 식별자입니다.

예시: `dspa_xxxxxxxxxxxxx`

**payment** `object | null` *required*

분쟁 알림과 연결된 결제입니다.

**하위 속성**

**billing\_reason** `BillingReasons | null` *required*

최초 구독 구매, 갱신 주기, 일회성 결제 등 이 청구가 생성된 기계 판독용 사유입니다.

사용 가능한 옵션: `subscription_create`, `subscription_cycle`, `subscription_update`, `one_time`, `manual`, `subscription`

**card\_brand** `CardBrands | null` *required*

처리업체가 보고한 카드 네트워크입니다(예: 'visa', 'mastercard', 'amex'). 결제 수단 유형이 'card'인 경우에만 존재합니다.

사용 가능한 옵션: `mastercard`, `visa`, `amex`, `discover`, `unionpay`, `jcb`, `diners`, `link`, `troy`, `visadankort`, `visabancontact`, `china_union_pay`, `rupay`, `jcbrupay`, `elo`, `maestro`, `tarjeta_naranja`, `cirrus`, `nspk_mir`, `verve`, `ebt`, `private_label`, `local_brand`, `uatp`, `wexcard`, `uzcard`, `meeza`, `hrg_store_card`, `girocard`, `fuel_card`, `dankort`, `carnet`, `atm_card`, `china_union_payuzcard`, `codensa`, `cabal`, `hipercard`, `jcblankapay`, `cmi`, `aura`, `accel`, `culiance`, `nyce`, `pulse`, `star`, `eftpos`, `alelo`, `edenred`, `sodexo`, `unknown`

**card\_last4** `string | null` *required*

이 결제에 사용된 카드의 마지막 네 자리입니다. 카드로 결제하지 않은 경우 Null입니다.

예시: `4242`

**created\_at** `string\<date-time\>` *required*

결제가 생성된 일시입니다.

예시: `2023-12-01T05:00:00.401Z`

**currency** `Currencies` *required*

이 결제의 세 글자 ISO 통화 코드입니다(예: 'usd', 'eur').

사용 가능한 옵션: `usd`, `sgd`, `inr`, `aud`, `brl`, `cad`, `dkk`, `eur`, `nok`, `gbp`, `sek`, `chf`, `hkd`, `huf`, `jpy`, `mxn`, `myr`, `pln`, `czk`, `nzd`, `aed`, `eth`, `ape`, `cop`, `ron`, `thb`, `bgn`, `idr`, `dop`, `php`, `try`, `krw`, `twd`, `vnd`, `pkr`, `clp`, `uyu`, `ars`, `zar`, `dzd`, `tnd`, `mad`, `kes`, `kwd`, `jod`, `all`, `xcd`, `amd`, `bsd`, `bhd`, `bob`, `bam`, `khr`, `crc`, `xof`, `egp`, `etb`, `gmd`, `ghs`, `gtq`, `gyd`, `ils`, `jmd`, `mop`, `mga`, `mur`, `mdl`, `mnt`, `nad`, `ngn`, `mkd`, `omr`, `pyg`, `pen`, `qar`, `rwf`, `sar`, `rsd`, `lkr`, `tzs`, `ttd`, `uzs`, `rub`, `btc`, `cny`, `usdt`, `kzt`, `awg`, `whop_usd`, `xau`, `hnl`

**dispute\_alerted\_at** `string\<date-time\> | null` *required*

이 거래가 분쟁될 것이라는 알림이 들어온 시점

예시: `2023-12-01T05:00:00.401Z`

**id** `string` *required*

결제의 고유 식별자입니다.

예시: `pay_xxxxxxxxxxxxxx`

**member** `object | null` *required*

이 결제에 연결된 회원입니다.

**하위 속성**

**id** `string` *required*

회사 회원의 고유 식별자입니다.

**phone** `string | null` *required*

회원의 전화번호입니다(있는 경우).

**membership** `object | null` *required*

이 결제에 연결된 멤버십입니다.

**하위 속성**

**id** `string` *required*

멤버십의 고유 식별자입니다.

예시: `mem_xxxxxxxxxxxxxx`

**status** `MembershipStatus` *required*

멤버십의 상태입니다.

사용 가능한 옵션: `trialing`, `active`, `past_due`, `completed`, `canceled`, `expired`, `unresolved`, `drafted`, `canceling`

**paid\_at** `string\<date-time\> | null` *required*

이 결제가 성공적으로 수금된 시간입니다. 결제가 아직 성공하지 않은 경우 Null입니다. Unix 타임스탬프 형식입니다.

예시: `2023-12-01T05:00:00.401Z`

**payment\_method\_type** `PaymentMethodTypes | null` *required*

이 결제에 사용된 결제 수단 유형입니다(예: 카드, Cash App, iDEAL, Klarna, 암호화폐). 처리업체가 유형을 제공하지 않으면 Null입니다.

사용 가능한 옵션: `acss_debit`, `addi`, `affirm`, `afterpay_clearpay`, `alipay`, `alipayhk`, `alma`, `amazon_pay`, `apple`, `apple_pay`, `au_bank_transfer`, `au_becs_debit`, `bacs_debit`, `bancolombia`, `bancontact`, `bank_wire`, `billie`, `blik`, `boleto`, `bre_b`, `ca_bank_transfer`, `capchase_pay`, `card`, `card_present`, `card_installments_three`, `card_installments_six`, `card_installments_twelve`, `cashapp`, `claritypay`, `coinbase`, `crypto`, `crypto_subscription`, `custom`, `customer_balance`, `demo_pay`, `duitnow_qr`, `efecty`, `eps`, `eu_bank_transfer`, `fpx`, `flex_pay`, `gb_bank_transfer`, `gcash`, `giropay`, `google_pay`, `gopay`, `grabpay`, `id_bank_transfer`, `ideal`, `interac`, `international_bank_wire`, `kakao_pay`, `klarna`, `klarna_pay_now`, `konbini`, `kr_card`, `kr_market`, `kriya`, `kueski`, `link`, `mb_way`, `m_pesa`, `mercado_pago`, `mercado_pago_ar`, `mercado_pago_mx`, `mobilepay`, `modo`, `mondu`, `multibanco`, `naver_pay`, `nequi`, `netbanking`, `ng_bank`, `ng_bank_transfer`, `ng_card`, `ng_market`, `ng_ussd`, `ng_wallet`, `nupay`, `nz_bank_account`, `oney`, `oney_3x`, `oney_4x`, `opay`, `oxxo`, `p24`, `pago_efectivo`, `pse`, `pay_by_bank`, `payco`, `paynow`, `paypal`, `paypal_express`, `paypay`, `payto`, `payto_email`, `payto_phone`, `payto_bank_account`, `pix`, `pix_automatico`, `platform_balance`, `promptpay`, `qris`, `rapipago`, `rechnung`, `revolut_pay`, `samsung_pay`, `satispay`, `scalapay`, `sencillito`, `sepa_debit`, `sequra`, `servipag`, `sezzle`, `shop_pay`, `shopeepay`, `sofort`, `south_korea_market`, `spei`, `splitit`, `sunbit`, `swish`, `tabby`, `tamara`, `touch_n_go`, `twint`, `upi`, `us_bank_account`, `us_bank_transfer`, `venmo`, `verve`, `vipps`, `webpay`, `wechat_pay`, `whop_pay`, `yape`, `zip`, `coinflow`, `unknown`

**subtotal** `number | null` *required*

크리에이터에게 표시할 소계입니다(구매자 수수료 제외).

예시: `6.9`

**total** `number | null` *required*

크리에이터에게 표시할 총액입니다(구매자 수수료 제외).

예시: `6.9`

**usd\_total** `number | null` *required*

크리에이터에게 표시할 USD 기준 총액입니다(구매자 수수료 제외).

예시: `6.9`

**user** `object | null` *required*

이 결제를 한 사용자입니다.

**하위 속성**

**email** `string | null` *required*

사용자의 이메일 주소입니다. 접근하려면 member:email:read 권한이 필요합니다. 권한이 없으면 Null입니다.

예시: `john.doe@example.com`

**id** `string` *required*

사용자의 고유 식별자입니다.

예시: `user_xxxxxxxxxxxxx`

**name** `string | null` *required*

공개 프로필에 표시되는 사용자의 표시 이름입니다.

예시: `John Doe`

**username** `string` *required*

공개 프로필에 표시되는 사용자의 고유한 사용자 이름입니다.

예시: `johndoe42`

**transaction\_date** `string\<date-time\> | null` *required*

원래 거래의 날짜입니다.

예시: `2023-12-01T05:00:00.401Z`


## Related topics

- [Whop CLI 명령](https://docs.whop.com/ko/cli/commands.md)
- [Dispute Alerts API](https://docs.whop.com/ko/api-reference/dispute-alerts/dispute-alert.md)
- [Dispute alert created](https://docs.whop.com/ko/api-reference/dispute-alerts/dispute-alert-created.md)
